
f [ -z "$1" ]
then
  echo "Usage: `basename $0` {backup file to restore}"
  echo  " filename must relative to the container's file system. (e.g. /backup/filename)"
  exit $E_NOARGS
fi

docker-compose stop uspsapp
docker-compose run --rm uspsdb sh -c \
   "gunzip -f $1 -c | psql  --host=uspsdb \
      --dbname=\$USPSDB_ENV_DB_NAME \
	  --username=\$USPSDB_ENV_DB_USER"
docker-compose stop uspsapp
